## org.apache.poi.hslf.record
Class ExVideoContainer

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordContainer
              org.apache.poi.hslf.record.ExVideoContainer

    public final class ExVideoContainer

extends RecordContainer

A container record that specifies information about external video data.

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.hslf.record.RecordContainer
`_children`

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`` `ExVideoContainer()` Create a new ExVideoContainer, with blank fields
`protected` `ExVideoContainer(byte[] source, int start, int len)` Set things up, and find our more interesting children

Method Summary
`ExMediaAtom` `getExMediaAtom()` Returns the ExMediaAtom of this link
`CString` `getPathAtom()` Returns the Path Atom (CString) of this link
`long` `getRecordType()` We are of type 4103
`void` `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

Methods inherited from class org.apache.poi.hslf.record.RecordContainer
`addChildAfter, addChildBefore, appendChildRecord, findFirstOfType, getChildRecords, handleParentAwareRecords, isAnAtom, moveChildBefore, moveChildrenAfter, moveChildrenBefore, removeChild, setChildRecord, writeOut`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExVideoContainer

    protected ExVideoContainer(byte[] source,
                               int start,
                               int len)

  Set things up, and find our more interesting children

### ExVideoContainer

    public ExVideoContainer()

  Create a new ExVideoContainer, with blank fields

Method Detail

### getRecordType

    public long getRecordType()

  We are of type 4103

  Specified by:
    `getRecordType` in class `Record`

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk

  Specified by:
    `writeOut` in class `Record`
  Throws:
    `java.io.IOException`

### getExMediaAtom

    public ExMediaAtom getExMediaAtom()

  Returns the ExMediaAtom of this link

### getPathAtom

    public CString getPathAtom()

  Returns the Path Atom (CString) of this link

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.